description = "创建或更新小说创作宪法，定义不可妥协的创作原则"

prompt = """

用户输入：{{args}}

## 目标

建立小说创作的核心原则和价值观，形成创作的"宪法"文件。这些原则将指导后续所有创作决策。

## 执行步骤

### 1. 检查现有文档

**首先检查是否存在风格参考文档**（来自 `/book-internalize`）：
```bash
test -f .specify/memory/style-reference.md && echo "exists" || echo "not-found"
```

- 如果存在，使用 Read 工具读取 `.specify/memory/style-reference.md`
- 然后告诉用户："检测到您已完成对标作品分析，我将参考该风格帮您起草宪法。"

**然后检查现有宪法**：
```bash
test -f .specify/memory/constitution.md && echo "exists" || echo "not-found"
```

- 如果存在（输出 "exists"），使用 Read 工具读取 `.specify/memory/constitution.md` 并准备更新
- 如果不存在（输出 "not-found"），跳过读取步骤，直接准备创建新宪法

### 2. 收集创作原则

基于用户输入，收集以下维度的原则（如未提供则询问或推断）：

#### 核心价值观
- 作品要传递什么核心理念？
- 什么是绝对不能违背的底线？
- 创作的根本目的是什么？

#### 质量标准
- 逻辑一致性要求
- 文字质量标准
- 更新频率承诺
- 完成度保证

#### 创作风格原则
- 叙事风格（简洁/华丽/朴实/诗意）
- 节奏控制（快速/缓慢/张弛有度）
- 情感基调（热血/深沉/轻松/严肃）
- 语言特色（古风/现代/口语/书面）

#### 内容原则
- 角色塑造原则
  - 每个角色必须有完整动机
  - 角色成长必须符合逻辑
  - 对话必须符合角色身份
- 情节设计原则
  - 冲突设计原则
  - 转折合理性要求
  - 伏笔回收原则
- 世界观原则
  - 设定自洽性要求
  - 细节真实性标准
  - 文化考据要求

#### 读者导向原则
- 目标读者定位
- 读者体验保证
- 互动反馈原则

#### 创作纪律
- 日常写作规范
- 修改和完善流程
- 版本管理原则

### 3. 起草宪法文档

使用以下模板结构：

```markdown
# 小说创作宪法

## 元数据
- 版本：[版本号，如 1.0.0]
- 创建日期：[YYYY-MM-DD]
- 最后修订：[YYYY-MM-DD]
- 作者：[作者名]
- 作品：[作品名或"通用"]

## 前言
[阐述为什么需要这份宪法，以及它的约束力]

## 第一章：核心价值观

### 原则1：[原则名称]
**声明**：[原则的明确表述]
**理由**：[为什么这个原则重要]
**执行**：[如何在创作中体现]

### 原则2：[原则名称]
[同上格式]

## 第二章：质量标准

### 标准1：逻辑一致性
**要求**：[具体要求]
**验证方法**：[如何验证]
**违反后果**：[必须修正]

[更多标准...]

## 第三章：创作风格

### 风格原则1：[名称]
**定义**：[什么是这种风格]
**范例**：[具体例子]
**禁忌**：[绝对不要做什么]

[更多风格原则...]

## 第四章：内容规范

### 角色塑造规范
[具体规范内容]

### 情节设计规范
[具体规范内容]

### 世界观构建规范
[具体规范内容]

## 第五章：读者契约

### 对读者的承诺
- [承诺1]
- [承诺2]
- [承诺3]

### 底线保证
- [保证1]
- [保证2]

## 第六章：修订程序

### 修订触发条件
- 重大创作方向调整
- 读者反馈累积
- 个人成长和认识变化

### 修订流程
1. 提出修订动议
2. 评估影响
3. 更新版本
4. 记录变更

## 附录：版本历史
- v1.0.0 (日期)：初始版本
- [后续版本记录]
```

### 4. 版本管理

- **主版本号**：重大原则变更或删除
- **次版本号**：新增原则或章节
- **修订号**：措辞优化、澄清说明

### 5. 一致性传播

检查并更新相关文件以保持一致：
- 在后续命令中引用宪法原则
- 建议更新 README 中的创作理念部分

### 6. 生成影响报告

输出宪法创建/更新的影响：
```markdown
## 宪法影响报告
- 版本：[旧版本] → [新版本]
- 新增原则：[列表]
- 修改原则：[列表]
- 影响范围：
  ✅ 规格定义需遵循宪法
  ✅ 计划制定需符合原则
  ✅ 创作执行需遵守规范
  ✅ 验证需检查合规性
```

### 7. 输出和保存

- 将宪法保存到 `.specify/memory/constitution.md`
- 输出创建/更新成功消息
- 提示下一步：`/specify` 定义故事规格

## 执行原则

### 必须遵守
- 原则必须是可验证的，不能太抽象
- 使用"必须"、"禁止"等明确词汇
- 每个原则都要有明确的理由

### 应该包含
- 至少 3-5 个核心价值观
- 明确的质量底线
- 可操作的创作规范

### 避免
- 空泛的口号（如"追求卓越"）
- 无法验证的要求
- 过度限制创意的条款

## 示例原则

**优秀的原则**：
- "主要角色的行为必须有明确的动机链，不得出现'因为剧情需要'的行为"
- "每个伏笔必须在合理时间内（最多10章）得到回收或解释"
- "绝不使用现代网络用语破坏古代背景的沉浸感"

**糟糕的原则**：
- "要写得好"（太模糊）
- "追求艺术性"（无法验证）
- "让读者满意"（标准不明）

## 后续流程

宪法确立后，所有后续创作步骤都需遵循：
1. `/specify` - 规格需符合宪法价值观
2. `/plan` - 计划需遵循宪法原则
3. `/write` - 创作需遵守宪法规范
4. `/analyze` - 验证需检查宪法合规性

记住：**宪法是最高准则，但也可以与时俱进地修订。**
"""
